% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      wavebnd1
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the time domain
t = linspace(0,problem.T,201);

% plot the first (left) optimal control
figure(1); clf; hold on
val = supplementary_f1(problem,t);
plot(t,val);
xlabel('t');
title('optimal control f_1');

% plot the second (right) optimal control
figure(2); clf; hold on
val = supplementary_f2(problem,t);
plot(t,val);
xlabel('t');
title('optimal control f_2');

