function val = f1(problem,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      wavebnd1
% from  2022-04-01 



% convert time
s = problem.T - t;

% Divide inputs into cases
ix1 = find((0.00 <= s) & (s < 0.25));
ix2 = find((0.25 <= s) & (s < 1.00));
ix3 = find((1.00 <= s) & (s < 1.25));
ix4 = find((1.25 <= s) & (s < 2.00));
ix5 = find((2.00 <= s) & (s < 2.25));
ix6 = find((2.25 <= s) & (s < 3.00));
ix7 = find((3.00 <= s) & (s <= 3.25));

val = zeros(size(t));
val(ix1) = ( supplementary_g1(problem,s(ix1))   + problem.rhat) / 4;
val(ix2) = ( supplementary_g1(problem,s(ix2))   + problem.rhat) / 3;
val(ix3) = (-supplementary_g2(problem,s(ix3)-1) + problem.rhat) / 4;
val(ix4) = (-supplementary_g2(problem,s(ix4)-1) + problem.rhat) / 3;
val(ix5) = ( supplementary_g1(problem,s(ix5)-2) + problem.rhat) / 4;
val(ix6) = ( supplementary_g1(problem,s(ix6)-2) + problem.rhat) / 3;
val(ix7) = (-supplementary_g2(problem,s(ix7)-3) + problem.rhat) / 4;

